### Type parameters

- #### T

### Hierarchy

- ObjectMapper

### Implements

- MapperForType<any, MapAttribute>

## Index

### Constructors

- constructor

### Methods

- fromDb
- toDb

## Constructors

### constructor

- new ObjectMapper(): ObjectMapper

- - Defined in mapper/for-type/object.mapper.ts:6

  #### Returns ObjectMapper

## Methods

### fromDb

- fromDb(val: MapAttribute, propertyMetadata?: PropertyMetadata<any, MapAttribute>): any

- - Defined in mapper/for-type/object.mapper.ts:9

  #### Parameters

  - ##### val: MapAttribute

  - ##### Optional propertyMetadata: PropertyMetadata<any, MapAttribute>

  #### Returns any

### toDb

- toDb(modelValue: any, propertyMetadata?: PropertyMetadata<any, MapAttribute>): MapAttribute

- - Defined in mapper/for-type/object.mapper.ts:17

  #### Parameters

  - ##### modelValue: any

  - ##### Optional propertyMetadata: PropertyMetadata<any, MapAttribute>

  #### Returns MapAttribute

Generated using TypeDoc